--- title: "Get monitoring" slug: "management-wms-scriptinfo" updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/management-wms-scriptinfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get monitoring Available in Classic and VPC Get the details of a monitoring service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/scenarios/{scenarioId} | ### Request headers For information about the headers common to all Web service Monitoring System APIs, see [Web service Monitoring System request headers](/docs/en/management-wms#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scenarioId` | Integer | Required | Scenario ID - See [Get monitoring list](/docs/en/management-wms-scripts) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://wms.apigw.ntruss.com/api/v1/scenarios/{scenarioId}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `scenarioId` | Integer | - | Scenario ID | | `name` | String | - | Monitoring service name | | `monitoringType` | String | - | Monitoring type - `URL` \| `SCENARIO` - `URL`: If only URL access steps are added to the monitoring scenario step - `SCENARIO`: If two or more steps are added to the monitoring scenario step including URL access | | `serviceType` | String | - | Monitoring service type - `PC` \| `MOBILE` - `PC` - `MOBILE` | | `interval` | Integer | - | Monitoring execution interval (minute) - `1` \| `5` \| `10` | | `requestTimeout` | Integer | - | Monitoring request wait time (millisecond) - `5000` \| `10000` \| `30000` | | `runTimeout` | Integer | - | Monitoring scenario execution wait time (millisecond) - `30000` \| `40000` \| `50000` \| `60000` | | `serviceYn` | Boolean | - | Monitoring status - `true` \| `false` - `true`: started - `false`: suspended | | `methodType` | String | - | Monitoring request type - `GET` \| `POST` \| `DELETE` \| `PUT` | | `url` | String | - | Web service URL address - Monitoring target | | `lastMonitoringTime` | Long | - | Last monitoring collection time - Unix timestamp format | | `successCount` | Integer | - | Number of normal monitoring results - Criteria: 00:00 - current time | | `errorCount` | Integer | - | Number of errors in monitoring results - Criteria: 00:00 - current time | | `avgLoadTime` | Integer | - | Average page load time (millisecond) | | `avgRunTime` | Integer | - | Average scenario execution time (millisecond) | | `locations` | Array | - | Country where the monitoring measurement agent is located: [locations](/docs/en/management-wms-scriptinfo#locations) | | `alarms` | Object | - | Notification configuration information | | `alarms.scenarioId` | Integer | - | Notification scenario ID | | `alarms.name` | String | - | Notification name | | `alarms.threshold` | Integer | - | Notification threshold (case) | | `alarms.interval` | Integer | - | Notification delivery interval (hour) | | `alarms.period` | Integer | - | Notification threshold measurement time (minute) | | `alarms.useYn` | Boolean | - | Whether to use notifications - `true` \| `false` - `true`: used - `false`: not used | | `alarms.creator` | Integer | - | Notification creator - Display the NAVER Cloud Platform member ID | | `alarms.templateId` | Integer | - | Notification template ID | | `alarms.smsEmailConfigs` | Array | - | SMS/EMAIL configuration information: [smsEmailConfigs](/docs/en/management-wms-scriptinfo#smsEmailConfigs) | | `alarms.webhooks` | Array | - | Webhook configuration information: [webhooks](/docs/en/management-wms-scriptinfo#webhooks) | #### `locations` The following describes `locations`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Country code - `KR` \| `USW` \| `JP` \| `SG` \| `DE` | | `name` | String | - | Country name - `Korea` \| `US (West)` \| `Japan` \| `Singapore` \| `Germany` | #### `smsEmailConfigs` The following describes `smsEmailConfigs`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `managerName` | String | - | Notification recipient admin name | | `managerNo` | Integer | - | Notification recipient admin number | | `cellPhoneNo` | Integer | - | Notification recipient phone number | | `memberNo` | Integer | - | Notification recipient number | | `emailAddress` | String | - | Notification recipient email address | | `informType` | String | - | Notification method - `EMAIL` \| `SMS` \| `ESMS` - `EMAIL`: Notify via email - `SMS`: Notify via text - `ESMS`: Notify via email and text | #### `webhooks` The following describes `webhooks`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Integer | - | Webhook ID | | `name` | String | - | Webhook name | | `url` | String | - | Webhook URL | | `memberNo` | Integer | - | Webhook target - Display the NAVER Cloud Platform member ID | | `createdDate` | Integer | - | Webhook creation date - Unix timestamp format | | `updatedDate` | Integer | - | Webhook modification date - Unix timestamp format | ### Response status codes For information about the HTTP status codes common to all Web service Monitoring System APIs, see [Web service Monitoring System response status codes](/docs/en/management-wms#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "scenarioId": 7488, "name": "test_ncloud", "monitoringType": "SCENARIO", "serviceType": "PC", "interval": 1, "requestTimeout": 5000, "runTimeout": 30000, "serviceYn": true, "methodType": "GET", "url": "https://www.ncloud.com", "lastMonitoringTime": 1728579720000, "successCount": 38, "errorCount": 0, "avgLoadTime": 2961, "avgRunTime": 4070, "locations": [ { "code": "KR", "name": "Korea" } ], "alarms": { "scenarioId": 7488, "name": "Default", "threshold": 3, "interval": 1, "period": 3, "useYn": true, "creator": "*******", "templateId": 14355, "smsEmailConfigs": [ { "managerName": "Gildong Hong", "managerNo": 88139, "cellPhoneNo": "010********", "memberNo": 88139, "emailAddress": "gildong.hong@*****.com", "informType": "EMAIL" } ], "webhooks": [ { "id": 113, "name": "wh_ncloud", "url": "https://www.ncloud.com", "memberNo": *******, "createdDate": 1728579753484, "updatedDate": 1728579753484 } ] } } ```